<?php

namespace Setforms2\Shared\ORM;

class DateTime extends \DateTime
{
    public function __toString()
    {
        $entityManager = \Setforms2\Shared\Registry::getEntityManager();
        $dateTimeFormat = $entityManager->getConnection()->getDatabasePlatform()->getDateTimeFormatString();
        return $this->format($dateTimeFormat);
    }

    public static function createFromFormat($format, $time, $timezone = null)
    {
        $originalClassObject = parent::createFromFormat($format, $time);
        if ($originalClassObject) {
            $ext_dt = new static();
            $ext_dt->setTimestamp($originalClassObject->getTimestamp());
            return $ext_dt;
        }

        return null;
    }


}
